tntdb::SqlBuilder Class Reference

## Public Member Functions

| SqlBuilder (const std::string &sql_)
SqlBuilder & | extendParam (const std::string &varname, unsigned count)
SqlBuilder & | replace (const std::string &varname, const std::string &value)
SqlBuilder & | replaceIf (bool condition, const std::string &varname, const std::string &value, const std::string &elsevalue=std::string())
void | str (const std::string &s)
const std::string & | str () const
| operator const std::string & () const

The documentation for this class was generated from the following file:

- tntdb/sqlbuilder.h